Skip to content
payrocdevelopers

Retrieve contact

Browse API reference

GET/contacts/{contactId}getContact

Use this method to retrieve details about a contact.

To retrieve a contact, you need its contactId. Our gateway returned the contactId in the Create Processing Account method.

Note: If you don't have the contactId, use the List Contacts method to search for the contact.

Our gateway returns the following information about a contact:

  • Name and contact method, including their phone number or mobile number.
  • Role within the business, for example, if they are a manager.

Parameters

NameInTypeDescription
contactIdRequiredpathinteger

Unique identifier for the contact.

Responses

Successful request. Returns the requested contact.

200 OK · application/json
{
  "contactId": 1543,
  "contactMethods": [
    {
      "type": "email",
      "value": "jane.doe@example.com"
    },
    {
      "type": "phone",
      "value": "2025550164"
    },
    {
      "type": "mobile",
      "value": "8445557624"
    },
    {
      "type": "fax",
      "value": "2025550110"
    }
  ],
  "firstName": "Jane",
  "identifiers": [
    {
      "type": "nationalId",
      "value": "xxxxx4320"
    }
  ],
  "lastName": "Doe",
  "middleName": "Helen",
  "type": "manager"
}
Response schema · 21 fields
  • contactIdinteger
    Unique identifier of the contact.
  • contactMethodsobject[]required
    Array of polymorphic objects, which contain contact information. Note: If you are adding information about an owner, you must provide at least an email address. If you are adding information about a contact, you must provide at least a contact number. The value of the type parameter determines which variant you should use: email Email address phone Phone number mobile Mobile number fax Fax number1–4 items
    • emailobject
      • typestringrequired
        Type of contact method.email
      • valuestringrequired
        Email address.≤ 50 chars
    • phoneobject
      • typestringrequired
        Type of contact method.phone
      • valuestringrequired
        Phone number.≤ 15 chars
    • mobileobject
      • typestringrequired
        Type of contact method.mobile
      • valuestringrequired
        Mobile number.≤ 15 chars
    • faxobject
      • typestringrequired
        Type of contact method.fax
      • valuestringrequired
        Fax number.≤ 15 chars
  • firstNamestringrequired
    Contact's first name.≤ 50 chars
  • identifiersobject[]
    Array of identifier objects.≥ 1 items
    • typestringrequired
      Type of ID provided to verify identity.nationalId
    • valuestringrequired
      Social Security Number (SSN) or Social Insurance Number (SIN).
  • lastNamestringrequired
    Contact's last name.≤ 50 chars
  • middleNamestring
    Contact's middle name.≤ 50 chars
  • typestringrequired
    Type of contact.managerrepresentativeothers

Used in workflows

Search documentation

API reference169
Guides118
Knowledge38
legal1
Solutions32
Workflows74
↑↓highlight↵openView all search results

Menu

Theme

Sign out

Your saved plans remain in your organization. This browser’s private draft and account view will be cleared.

Talk to an engineer